Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2022-08-12 22:40:00

0001 #! /bin/bash
0002 function die { echo $1: status $2 ; exit $2; }
0003 
0004 if test -f "validation_config.ini"; then
0005     rm -f validation_config.ini
0006 fi
0007 
0008 ## copy into local sqlite file the ideal alignment
0009 echo "COPYING locally Ideal Alignment ..."
0010 conddb --yes --db pro copy TrackerAlignment_Upgrade2017_design_v4 --destdb myfile.db
0011 conddb --yes --db pro copy TrackerAlignmentErrorsExtended_Upgrade2017_design_v0 --destdb myfile.db
0012 
0013 echo "GENERATING all-in-one tool configuration ..."
0014 cat <<EOF >> validation_config.ini
0015 [general]
0016 jobmode = interactive
0017 eosdir  = Test
0018 
0019 [alignment:prompt]
0020 title = prompt
0021 globaltag = 92X_dataRun2_Prompt_v2
0022 color = 1
0023 style = 2001
0024 
0025 [alignment:express]
0026 title = express
0027 globaltag = 92X_dataRun2_Express_v2
0028 condition TrackerAlignmentRcd =  sqlite_file:myfile.db,TrackerAlignment_Upgrade2017_design_v4
0029 condition TrackerAlignmentErrorExtendedRcd = sqlite_file:myfile.db,TrackerAlignmentErrorsExtended_Upgrade2017_design_v0
0030 color = 2
0031 style = 2402
0032 
0033 [offline:validation_MinBias]
0034 multiIOV  = false
0035 maxevents = 10
0036 dataset   = /MinimumBias/Run2017A-TkAlMinBias-PromptReco-v1/ALCARECO
0037 magneticfield = 3.8
0038 trackcollection = ALCARECOTkAlMinBias
0039 
0040 [offline:validation_cosmics]
0041 multiIOV  = false
0042 maxevents = 10
0043 dataset = /Cosmics/Run2017A-TkAlCosmics0T-PromptReco-v1/ALCARECO
0044 magneticfield = 3.8
0045 trackcollection = ALCARECOTkAlCosmicsCTF0T
0046 
0047 [compare:Tracker]
0048 multiIOV = false
0049 levels = "Tracker","DetUnit"
0050 dbOutput = false
0051 
0052 [zmumu:some_zmumu_validation]
0053 multiIOV = false
0054 maxevents = 10
0055 dataset = /DoubleMuon/Run2017A-TkAlZMuMu-PromptReco-v3/ALCARECO
0056 etamaxneg = 2.4
0057 etaminneg = -2.4
0058 etamaxpos = 2.4
0059 etaminpos = -2.4
0060 
0061 [primaryvertex:validation_HLTPhysics]
0062 maxevents = 10000
0063 multiIOV = false
0064 dataset = /HLTPhysics/Run2017A-TkAlMinBias-PromptReco-v1/ALCARECO
0065 trackcollection = ALCARECOTkAlMinBias
0066 vertexcollection = offlinePrimaryVertices
0067 isda = True
0068 ismc = True
0069 numberOfBins = 48
0070 runboundary = 1
0071 lumilist = None
0072 ptCut  = 3.
0073 etaCut = 2.5
0074 runControl = False
0075 
0076 [pvresolution:validation_JetHT]
0077 multiIOV = false
0078 maxevents = 50000
0079 dataset = /JetHT/Run2017B-TkAlMinBias-09Aug2019_UL2017-v1/ALCARECO
0080 trackcollection = ALCARECOTkAlMinBias
0081 runboundary = 1
0082 runControl = False
0083 doTriggerSelection = False
0084 triggerBits = "*"
0085 
0086 [split:some_split_validation]
0087 multiIOV = false
0088 maxevents = 10
0089 dataset = /Cosmics/Run2017A-TkAlCosmics0T-PromptReco-v1/ALCARECO
0090 trackcollection = ALCARECOTkAlCosmicsCTF0T
0091 
0092 [plots:offline]
0093 DMROptions = plain split
0094 DMRMinimum = 5
0095 legendoptions = meanerror rmserror modules outside
0096 customtitle = #CMS{Preliminary}
0097 customrighttitle = 2017A cosmics and collisions data
0098 legendheader = header
0099 bigtext = true
0100 
0101 [plots:split]
0102 outliercut = 0.95
0103 
0104 customtitle = #CMS{Preliminary}
0105 customrighttitle = 2017A 3.8T cosmics data
0106 legendheader = header
0107 
0108 [plots:zmumu]
0109 customtitle = #CMS{Preliminary}
0110 customrighttitle = 2016G Z#rightarrow#mu#mu data, |#eta|<2.4
0111 legendheader = header
0112 
0113 [plots:primaryvertex]
0114 doMaps = true
0115 stdResiduals = true
0116 autoLimits = false
0117 m_dxyPhiMax = 40
0118 m_dzPhiMax = 40
0119 m_dxyEtaMax = 40
0120 m_dzEtaMax = 40
0121 m_dxyPhiNormMax = 0.5
0122 m_dzPhiNormMax = 0.5
0123 m_dxyEtaNormMax = 0.5
0124 m_dzEtaNormMax = 0.5
0125 w_dxyPhiMax = 150
0126 w_dzPhiMax = 150
0127 w_dxyEtaMax = 150
0128 w_dzEtaMax = 1000
0129 w_dxyPhiNormMax = 1.8
0130 w_dzPhiNormMax = 1.8
0131 w_dxyEtaNormMax = 1.8
0132 w_dzEtaNormMax = 1.8
0133 
0134 [validation]
0135 offline validation_MinBias - prompt :
0136 offline validation_MinBias - express :
0137 offline validation_cosmics - prompt :
0138 offline validation_cosmics - express :
0139 primaryvertex validation_HLTPhysics - prompt :
0140 primaryvertex validation_HLTPhysics - express :
0141 pvresolution validation_JetHT - prompt :
0142 pvresolution validation_JetHT - express :
0143 compare Tracker - prompt 278819, express 278819 :
0144 zmumu some_zmumu_validation - prompt :
0145 zmumu some_zmumu_validation - express :
0146 split some_split_validation - prompt :
0147 split some_split_validation - express :
0148 EOF
0149 
0150 echo " TESTING all-in-one tool ..."
0151 validateAlignments.py -c validation_config.ini -N testingAllInOneTool --dryRun || die "Failure running all-in-one test" $?
0152 
0153 printf "\n\n"
0154 
0155 echo " TESTING all-in-one tool configuration ..."
0156 FILES="$PWD/testingAllInOneTool/*_cfg.py"
0157 for f in $FILES
0158 do
0159   echo "Processing $f file..."
0160   python3 $FILE/$f  || die "Failure compiling test configuration" $?
0161 done
0162 
0163